Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.framework
Class BundleException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.osgi.framework.BundleException

All Implemented Interfaces:
  java.io.Serializable

public class BundleException
extends java.lang.Exception

A Framework exception used to indicate that a bundle lifecycle problem occurred.

`BundleException` object is created by the Framework to denote an exception condition in the lifecycle of a bundle. `BundleException`s should not be created by bundle developers.

This exception is updated to conform to the general purpose exception chaining mechanism.

See Also:
  Serialized Form

Constructor Summary
`BundleException(java.lang.String msg)` Creates a `BundleException` object with the specified message.
`BundleException(java.lang.String msg, java.lang.Throwable cause)` Creates a `BundleException` that wraps another exception.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of this exception or `null` if the cause was specified when this exception was created.
`java.lang.Throwable` | `getNestedException()` Returns any nested exceptions included in this exception.
`java.lang.Throwable` | `initCause(java.lang.Throwable cause)` The cause of this exception can only be set when constructed.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BundleException

    public BundleException(java.lang.String msg,
                           java.lang.Throwable cause)

  Creates a `BundleException` that wraps another exception.
  Parameters:
    `msg` - The associated message.
    `cause` - The cause of this exception.

### BundleException

    public BundleException(java.lang.String msg)

  Creates a `BundleException` object with the specified message.
  Parameters:
    `msg` - The message.

Method Detail

### getNestedException

    public java.lang.Throwable getNestedException()

  Returns any nested exceptions included in this exception.

  This method predates the general purpose exception chaining mechanism. The `getCause()` method is now the preferred means of obtaining this information.

  Returns:
    The nested exception; `null` if there is no nested exception.

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this exception or `null` if the cause was specified when this exception was created.
  Returns:
    The cause of this exception or `null` if no cause was specified.
  Since:
    1.3 EXPERIMENTAL

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable cause)

  The cause of this exception can only be set when constructed.
  Throws:
    `java.lang.IllegalStateException` - This method will always throw an `IllegalStateException` since the cause of this exception can only be set when constructed.
  Since:
    1.3 EXPERIMENTAL

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.